Story1/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.index, name='index'),
    path('profile/', views.index, name='index'),
    # dilanjutkan ...
]

Story3n4/urls.py
from django.urls import path
from . import views


app_name = 'Story3n4'

urlpatterns = [
    
    path('',views.index, name='index'),
    path('Bio/', views.Bio, name='Bio'),
    path('Experience/',views.Experience, name='Experience'),
    path('Gallery/', views.Gallery, name='Gallery'),
    path('Projects/', views.Projects, name='Projects'),
    path('Story1/', views.Story1, name='Story1'),
    path('Detail/<pk>/', views.Detail, name='Detail'),
    path('Schedule/', views.Jadwal, name='Jadwal'),
    path('Add/', views.Add, name='Add'),
    path('Hapus/<pk>/', views.Hapus, name='Hapus'),
    path('Activity/', views.Aktifitas, name='Activity'),
    path('TamBahKegiatan/', views.AddKegiatan, name='AddKegiatan'),
    path('HapusKegiatan/', views.HapusKegiatan, name='HapusKegiatan'),
    path('TamBahPeserta/', views.TambahPeserta, name='TambahPeserta'),
    path('Search/', views.Search, name='Search'),
    path('Data/', views.Data, name='Data'),
    path('Register/', views.Register, name='Register'),
    path('Login/', views.Login, name='Login'),
    path('LogoutUser/',views.LogoutUser, name='Logout')

    # dilanjutkan ...
]

story/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('Story1/', include('Story1.urls')),
    path('', include('Story3n4.urls')),
]

Story1/models.py
from django.db import models

# Create your models here.

Story3n4/models.py
from django.db import models

# Create your models here.

class Schedule(models.Model):
    matkul = models.CharField(max_length = 200 , null = True)
    kelas = models.CharField(max_length = 200 , null = True)
    dos_peng = models.CharField(max_length = 200 , null = True)
    sks = models.CharField(max_length = 200 , null = True)
    ruang = models.CharField(max_length = 200 , null = True)
    desc = models.CharField(max_length = 200 , null = True)

    def __str__(self):
        return self.matkul

class Activity(models.Model):
    Nama_Kegiatan = models.CharField(max_length = 200 , null = True)
    Peserta = models.CharField(max_length = 200 , null = True)

    def __str__(self):
        return self.Nama_Kegiatan

Story1/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'Story1.html')

def profile(request):
    return render(request, 'profile.html')

# diteruskan.

Story3n4/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse, JsonResponse, request
from .models import *
from .FormAdd import AddMatkul
from .FormKegiatan import FormActivity
from .FormUser import CreateUserForm,LoginForm
from django.contrib.auth.forms import UserCreationForm,AuthenticationForm
from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.decorators import login_required
from django.contrib import messages
import json
import requests

# Create your views here.

def Register(request):
    form = CreateUserForm()

    if request.method == 'POST':
        form = CreateUserForm(data=request.POST)
        if form.is_valid():
            form.save()
            username = form.cleaned_data.get('username')
            messages.success(request, f"New account created: {username}")
            return redirect('Story3n4:Login')
        else:
            return redirect('/Register')

    context ={'form':form}
    return render(request, 'Register.html', context)

def Login(request):

    data = LoginForm()

    if request.method == 'POST':
       data = LoginForm(data=request.POST)
       username = request.POST.get('username')
       password =  request.POST.get('password')

       user = authenticate(request, username = username , password = password)
       if user is not None:
           login(request,user)
           return redirect('/')
       else:
            messages.error(request,"Username or password incorrect")
    
    context = {'form' : data}
    return render(request, 'Login.html', context)


def LogoutUser(request):
    logout(request)
    return redirect('Story3n4:Login')

    context ={}
    return render(request, 'Login.html', context)

#@login_required(login_url='Story3n4:Login')
def index(request):
    return render(request, 'FrontPage.html')

def Bio(request):
    return render(request, 'Bio.html')

def Experience(request):
    return render(request, 'Experience.html')

def Gallery(request):
    return render(request, 'Gallery.html')

def Projects(request):
    return render(request, 'Projects.html')

def Detail(request, pk):
    A = Schedule.objects.all()
    det = Schedule.objects.get(id = pk)

    context = {'form':det}
    return render(request, 'Detail.html', context)

def Story1(request):
    return render(request, 'Story1/Story1.html')


def Add(request):

    form = AddMatkul()
    if request.method == 'POST':
        form = AddMatkul(request.POST)
        if form.is_valid():
            form.save()
            return redirect('/Schedule/')

    context = {'form':form}
    return render(request, 'Add.html', context)


def Hapus(request, pk):
    matkul = Schedule.objects.filter(id=pk)
    form = Schedule.objects.get(id= pk)
    if request.method =='POST':
        matkul.delete()
        return redirect('/Schedule/')
    context = {'form':matkul}
    return render(request, 'Hapus.html' , context)

def Jadwal(request):
    schedule = Schedule.objects.all()
    return render(request, 'Schedule.html', {'item' :schedule })

def AddKegiatan(request):
    formAct = FormActivity()
    if request.method == 'POST':
        formAct =FormActivity(request.POST)
        if formAct.is_valid():
            formAct.save()
            return redirect('/Activity/')

    context = {'formAct':formAct}
    return render(request, 'AddKegiatan.html')

def TambahPeserta(request):
    return render(request, 'TambahPeserta.html')

def HapusKegiatan(request):
    return render(request, 'HapusKegiatan.html')

def Aktifitas(request):
    activity = Activity.objects.all()
    return render(request, 'Activity.html',{'item': activity})

def Search(request):
    response = {}
    return render(request, 'Search.html',response)

def Data(request):
    url = "https://www.googleapis.com/books/v1/volumes?q=" + request.GET['q']
    ret = requests.get(url)

    data = json.loads(ret.content)
    return JsonResponse(data, safe = False)

Story1/templates/Story1.html
<!DOCTYPE html>
{% load static %}
<html>
    <title>My Profile</title>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <style>
        * {box-sizing: border-box}
        body {font-family: "Apple Chancery", cursive;}
        
        .tab {
          float: left;
          border: 0px solid #ccc;
          background-color: black;
          width: 20%;
          height: 260px;
        }
        
        .tab button {
          display:inline-block;
          background-color: green;
          color: black;
          padding: 22px 16px;
          width: 100%;
          border: black;
          outline: none;
          text-align: left;
          cursor: pointer;
          font-size: 17px;
        }
        
        .tabcontent {
          float: left;
          border: 2px solid rgba(204, 204, 204, 0);
          width: 80%;
          background-color:rgb(255, 153, 0);
          /*background-image:url('/static/tabcontent2.png') ;*/
          height: 650px;
          display: none;
        }

        .tab button.active {
          background-color:rgb(255, 153, 0);
        }
        table, th, td.Education {
         border: 1px solid black;
          border-collapse: collapse;
        }
        tr.row{
          border: 1px solid black;
          border-collapse: collapse;
        }
        
        /* Clear floats after the tab */
        .clearfix::after {
          content: "";
          clear: both;
          display: table;
        }
        </style>
        </head>
    
        <body>
            <style>body{background-color: papayawhip;}</style>
            <h2>My Profile</h2>
            
            <div class="tab">
              <button class="tablinks" onmouseover="MyProfile(event, 'Self Description')">Self Description</button>
              <button class="tablinks" onmouseover="MyProfile(event, 'Bio')">Bio</button>
              <button class="tablinks" onmouseover="MyProfile(event, 'Education')">Education</button>
              <button class="tablinks" onmouseover="MyProfile(event, 'Social Media')">Social Media</button>
            </div>
            
            <div id="Self Description" class="tabcontent" class ="clearfix">
              <h3>Self Description</h3>
              <div style="text-align:right;">
              <img src="{% static 'myphoto.jpg' %}" alt="Spongebob" style="width: 200px; height:200px; border-radius: 50%;"">
              </div>
              <p><br>Computer Science Student.Recently interested in data science, Finance, and Business</p>
            </div>
            
            <div id="Bio" class="tabcontent">
              <h3>Bio</h3>
             <table style="border: none;">
               <tr>
                 <td>Nama</td>
                 <td>: Rila Bagus Mustofa</td>
               </tr>
               <tr>
                <td>Universitas</td>
                <td>: Universitas Indonesia</td>
              </tr>
              <tr>
                <td>Angkatan</td>
                <td>: 2019</td>
              </tr>
              <tr>
                <td>NPM</td>
                <td>:  1906398490</td>
              </tr>
              <tr>
                <td>Hobi</td>
                <td>:  Basket,Berenang,Game</td>
              </tr>
             </table>
            </div>
            
            <div id="Education" class="tabcontent">
              <h3>Education</h3>
              <table class="Education" style="width:100%">
                    <tr >
                      <th >Nama</th>
                      <th>Jenjang Pendidikan</th>
                      <th>Tahun</th>  
                    </tr>
                    <tr>
                      <td>Universitas Indonesia</td>
                      <td>S1</td>
                      <td>2019-2023</td> 
                    </tr>
                    <tr>
                      <td>SMAS Alfa Centauri</td>
                      <td>SMA</td> 
                      <td>2015-2018</td>
                    </tr>
              </table>
            </div>

            <div id="Social Media" class="tabcontent">
                <h3>Social Media</h3>
                <a  href="https://id.linkedin.com/in/rila-bagus-0b31251a3">
                    <img src="{% static 'linkedin.jpg' %}" alt="Linkedin" style="width: 100px; height:50px;border-radius: 40%;">
                </a>
              </div>
            
            <div class="clearfix"></div>
            
            <script>
            function MyProfile(evt, Menu) {
              var i, tabcontent, tablinks;
              tabcontent = document.getElementsByClassName("tabcontent");
              for (i = 0; i < tabcontent.length; i++) {
                tabcontent[i].style.display = "none";
              }
              tablinks = document.getElementsByClassName("tablinks");
              for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active", "");
              }
              document.getElementById(Menu).style.display = "block";
              evt.currentTarget.className += " active";
            }
            </script>
    </body>
</html>

Story3n4/templates/Activity.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'Style.css' %}">
    <title>Activity</title>
  </head>
  <body>
    <div>
        <div class=" flex-row bd-highlight mb-3 d-flex justify-content-start vertical-menu" style="height: 8%; width: 100%;">
          {% include 'Base.html' %}
        </div>
        <h1>Schedule</h1>
        <button type="button" onclick="window.location.href='{% url 'Story3n4:AddKegiatan' %}'">Add Kegiatan</button>
        <table>
            <tr>
              <th>Kegiatan</th>
              <th>Peserta</th>
              <th>Edit</th>
            </tr>
            {% for i in item %}
            <tr>
            <td>{{i.Nama_Kegiatan}}</td>
            <td>{{p.Peserta}}</td>
            <td><button type="button" onclick="window.location.href='{% url 'Story3n4:TambahPeserta' %}'">Tambah Peserta</button></td>
            </tr>
            {% endfor %}
              
        </table>
    </body>
    </html>

Story3n4/templates/Add.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <title>Projects</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link href="{% static 'Style.css' %}" rel="stylesheet">
    
  </head>
  <body>
      <form action = "" method="POST">
          {% csrf_token %}
          {{form}}
          <input type="Submit" name="Add Matkul">
      </form>

  </body>
</html>

Story3n4/templates/AddKegiatan.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'Style.css' %}">
    <title>Activity</title>
  </head>
  <body>
    <div>
        <div class=" flex-row bd-highlight mb-3 d-flex justify-content-start vertical-menu" style="height: 8%; width: 100%;">
          {% include 'Base.html' %}
        </div>
    </div>
    <form action = "" method="POST">
        {% csrf_token %}
        {{formAct}}
        <input type="Submit" value="Add Kegiatan">
    </form>
    </body>
</html>

Story3n4/templates/Base.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="{% static 'Style.css' %}" rel="stylesheet'">
  </head>
  <body>
    <a href="{% url 'Story3n4:index' %}">FrontPage</a>
    <a href="{% url 'Story3n4:Bio' %}">Bio</a>
    <a href="{% url 'Story3n4:Experience' %}">Experiences</a>
    <a href="{% url 'Story3n4:Projects' %}">Projects</a>
    <a href="{% url 'Story3n4:Story1' %}">Story1</a>
    <a href="{% url 'Story3n4:Jadwal' %}">Schedule</a>
    <a href="{% url 'Story3n4:Activity' %}">Activity</a>
    <a href="{% url 'Story3n4:Search' %}">Search</a>
  </body>
</html>

Story3n4/templates/Bio.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'Style.css' %}" >
    <title>Bio</title>
  </head>
  <body >
    <div>
    <div class=" flex-row bd-highlight mb-3 d-flex justify-content-start vertical-menu" style="height: 8%; width: 100%;">
      {% include 'Base.html' %}
    </div>
    <div style="margin: 100px 0 0 100px;">
    <h1>Bio</h1>
      <br>
      <br>
      <h3>Name : Rila bagus Mustofa
          
        </h3>
        <h3>Hobbies : Basketball, Swim, Game</h3>
        <h3>
            Blood Type : O
        </h3>
    </div>
  </div>
  </body>
</html>

Story3n4/templates/FrontPage.html
<!doctype html>
{% load static %}
<html lang="en">
    <header>
        <img src="{% static 'myphoto2.jpg' %}" alt="My photo" class="photo">
        <h1>Rila Bagus Mustofa</h1>
        <h2 class = "intro">Currently Computer Science Student.Recently interested in business, finance  and data science</h2>
    </header>
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'Style.css' %}">
    <title>My Profile</title>
  </head>
  <body>
    <span><h3>Hello,{{request.user}}</h3></span>
    <span><a href="{% url 'Story3n4:Logout' %}">Logout</a></span>
    <div class=" flex-row bd-highlight mb-3 d-flex justify-content-between">
      <div class="p-2 bd-highlight vertical-menu">
        {% include 'Base.html' %}
      </div>
      
        <div class="p-2 bd-highlight recentAct">
          
            <h3>Recent Activity</h3>
            <p>
              Recently, I'm busy with my collage assginment. I'm trying to spend some time to learn R progamming language
              or being more productive. However the problem is, when i have a free time, I always spend it with my phone or 
              take some sleep bacause I already exausted after several class sesions or assginment.   
            </p>
        </div>
    </div>
    <div class="d-flex flex-row bd-highlight mb-3 d-flex justify-content-between">
        <div class="p-2 bd-highlight">
          
            <h3>Social Media</h3>
            <a href = "https://www.linkedin.com/in/rila-bagus/">
                <img src="{% static 'linkedin.webp' %}" alt="linkedin" class="sosmed">
            </a>
            <a href = "https://www.instagram.com/halal_spongegar/">
                <img src="{% static 'IG-Logo.png' %}" alt="IG" class="sosmed" >
            </a>

        </div>
        <div class="p-2 bd-highlight slidershow middle Posisition ">          
                <a href= "{% url 'Story3n4:Gallery' %}" class="gicon"></ahref><h3>Gallery <svg  width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-card-image" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" d="M14.5 3h-13a.5.5 0 0 0-.5.5v9c0 .013 0 .027.002.04V12l2.646-2.354a.5.5 0 0 1 .63-.062l2.66 1.773 3.71-3.71a.5.5 0 0 1 .577-.094L15 9.499V3.5a.5.5 0 0 0-.5-.5zm-13-1A1.5 1.5 0 0 0 0 3.5v9A1.5 1.5 0 0 0 1.5 14h13a1.5 1.5 0 0 0 1.5-1.5v-9A1.5 1.5 0 0 0 14.5 2h-13zm4.502 3.5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0z"/>
                  </svg> </h3></a>
                <div class="slides">
                  <input type="radio" name="r" id="r1" checked>
                  <input type="radio" name="r" id="r1">
                  <input type="radio" name="r" id="r3">
                  <input type="radio" name="r" id="r4">
                  <input type="radio" name="r" id="r5">
                  <div class="slide s1">
                    <img src="{% static '1.jpg' %}" alt="">
                  </div>
                  <div class="slide">
                    <img src="{% static '2.jpg' %}" alt="">
                  </div>
                  <div class="slide">
                    <img src="{% static '3.jpg' %}" alt="">
                  </div>
                  <div class="slide">
                    <img src="{% static '4.jpg' %}" alt="">
                  </div>
                  <div class="slide">
                    <img src="{% static '5.jpg' %}" alt="">
                  </div>
                </div>
          
                <div class="navigation">
                  <label for="r1" class="bar"></label>
                  <label for="r2" class="bar"></label>
                  <label for="r3" class="bar"></label>
                  <label for="r4" class="bar"></label>
                  <label for="r5" class="bar"></label>
                </div>
            </div>
        
            </div>
      </div>
  </body>
</html>

Story3n4/templates/Gallery.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link href="{% static 'Style.css' %}" rel="stylesheet">

    <title>Gallery</title>
  </head>
  <body>
    <div class=" flex-row bd-highlight mb-3 d-flex justify-content-start vertical-menu" style="height: 8%; width: 100%;">
      {% include 'Base.html' %}
    </div>
    <div style="margin: 100px 0 0 100px;">
      <h1>Gallery</h1>
    </div>
    <div class="d-flex flex-row bd-highlight mb-3 d-flex justify-content-between" style="margin: 100px 0 0 0;">
        <div class="p-2 bd-highlight"> <img src="{% static '11.jpg' %}" style="width: 25% height: 30%;"></div>
        <div class="p-2 bd-highlight"><img src="{% static '22.jpg' %}" style="width: 25% height: 200px;"></div>
        <div class="p-2 bd-highlight"><img src="{% static '33.jpg' %}" style="width: 25% height: 200px;"></div>
    </div>
    <div class="d-flex flex-row bd-highlight mb-3 d-flex justify-content-between">
      <div class="p-2 bd-highlight">
        <img src="{% static '4.jpg' %}" style="width: 25% height: 200px;">

      </div>
    </div>
  </body>
</html>

Story3n4/templates/Login.html
<!DOCTYPE html>
{% load static %}
<html>
    <head>
        <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'Style.css' %}">
    <title>Sign up</title>
    </head>
    <body>
    <h3>Login Page</h3>
    <form method="POST" action="">
        
        {% csrf_token %}
        <p>Username: {{form.username}}</p>
        <p>Password : {{form.password}}</p>
        <div>
            {% for i in messages %}
            {{i}}
            {% endfor %}
        </div>
        <input type="submit" name="Login">
    </form>

   <!--  <span><a href="{% url 'Story3n4:Logout' %}">Logout</a></span> -->
</body>
</html>

Story3n4/templates/Projects.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <title>Projects</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link href="{% static 'Style.css' %}" rel="stylesheet">
    
  </head>
  <body>
    <div class=" flex-row bd-highlight mb-3 d-flex justify-content-start vertical-menu" style="height: 8%; width: 100%;">
      {% include 'Base.html' %}
    </div>
    <div style="margin: 100px 0 0 100px;">
    <h1>Projects
      </h1>
    </div>
  </body>
</html>

Story3n4/templates/Register.html
<!DOCTYPE html>
{% load static %}
<html>
    <head>
        <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'Style.css' %}">
    <title>Sign up</title>
    </head>
    <body>
    <h3>Sign Up</h3>
    <form method="POST" action="">
        {% csrf_token %}
       <div><p>Username : {{form.username}}</p></div> 
       <div><p>E-mail : {{form.email}}</p></div>
       <div><p>password : {{form.password1}}</p></div>
       <div><p>Cofirm Password: {{form.password2}}</p></div>
        <div>
            {% for i in massages%}
            {{i}}
            {% endfor %}
        </div>
        <input type="submit" name="Create User">
    </form>
</body>
</html>

Story3n4/templates/Schedule.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
    <title>Projects</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link href="{% static 'Style.css' %}" rel="stylesheet">
    
  </head>
  <body>
    <div class=" flex-row bd-highlight mb-3 d-flex justify-content-start vertical-menu" style="height: 8%; width: 100%;">
      {% include 'Base.html' %}
    </div>
    <div style="margin: 100px 0 0 100px;">
    <h1>Schedule</h1>
    <button type="button" onclick="window.location.href='{% url 'Story3n4:Add' %}'">Add Matkul</button>
    
    <table>
        <tr>
          <th>Mata Kuliah</th>
          <th>Jumlah SKS</th>
          <th>Kelas</th>
          <th>Edit</th>
        </tr>
        {% for i in item %}
          <tr>
            <td>{{i.matkul}} <button type="button" onclick="window.location.href='{% url 'Story3n4:Detail' i.id %}'">Detail</button></td>
            <td>{{i.sks}}</td>
            <td>{{i.kelas}}</td>
            <td><button type="button" onclick="window.location.href='{% url 'Story3n4:Hapus' i.id %}'">Hapus</button>
          </tr>
          {% endfor %}

    </table>
    </div>
  </body>
</html>